- entityDefinitions:
  - IDM_Product__get__Product_Color_Name: '{6c0de93d-fd8c-4986-8ce3-f55b0db9e084}'
  - IDMB_Product__get__Product_Color_Name: '{494b2a1d-74ae-46b0-848c-ac9e84e4c7a3}'
- library: '&IDL_MochaBaseSystem;'
  instances:
  - getReferencedAttributeMethod: '&IDM_Product__get__Product_Color_Name;'
    forClassId: '&IDC_Product;'
    returnsAttributeId: '&IDA_Name;'
    verb: 'get'
    name: 'Product Color Name'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDMB_Product__get__Product_Color;'
    answerAttribute: '&IDMB_Product_Color__get__Name;'
    singular: yes
    
  - returnAttributeMethodBinding: '&IDMB_Product__get__Product_Color_Name;'
    executesMethod: '&IDM_Product__get__Product_Color_Name;'
